var system = require("../../../system")
const http = require("http")
const querystring = require('querystring');
var settings=require("../../../../config/settings");
const CtlBase = require("../../ctl.base");


var cacheBaseComp = null;
class PConfigCtl extends CtlBase {
  constructor() {
    super("common",CtlBase.getServiceName(PConfigCtl));
    this.userCtl = system.getObject("service.auth.userSve");
  }
 
  async initNewInstance(pobj,queryobj, req) {
    var rtn = {};
    return system.getResult(rtn);
  }
  async create(pobj,queryobj, req) {
    pobj.app_id=req.appid;
    pobj.appkey=req.appkey;
    var rtn=await super.create(pobj,queryobj, req);
    return system.getResult(rtn);
  }
  async update(pobj,queryobj, req) {
    pobj.app_id=req.appid;
    pobj.appkey=req.appkey;
    var rtn=await super.update(pobj);
    return system.getResult(rtn);
  }
}
module.exports = PConfigCtl;
